import { RES } from "../../../module/RES";

/**
 * BonusTime序列帧
 */
export class BonusTime extends FYGE.FrameAni {
    constructor() {
        var arr: number[] = [];
        for (var i = 0; i <= 20; i++)arr.push(i);
        for (var i = 9; i <= 20; i++)arr.push(i);
        for (var i = 9; i <= 20; i++)arr.push(i);
        for (var i = 9; i <= 14; i++)arr.push(i);
        arr.push(9);
        for (var i = 21; i <= 28; i++)arr.push(i);
        var texArr: FYGE.Texture[] = [];
        arr.forEach((n) => { texArr.push(RES.getRes("bonusTime" + n + ".png")) })
        super(texArr);
    }
}